From 32932aa61d163c023a311000debc6af1ad48c942 Mon Sep 17 00:00:00 2001
From: Sinisa Veseli <sveseli@aps.anl.gov>
Date: Wed, 22 Feb 2017 17:07:30 +0000
Subject: [PATCH] add get workflow command

---
 bin/dm-get-workflow | 18 ++++++++++++++++++
 1 file changed, 18 insertions(+)
 create mode 100755 bin/dm-get-workflow

diff --git a/bin/dm-get-workflow b/bin/dm-get-workflow
new file mode 100755
index 00000000..ceaec30c
--- /dev/null
+++ b/bin/dm-get-workflow
@@ -0,0 +1,18 @@
+#!/bin/sh
+
+# Run command
+
+if [ -z $DM_ROOT_DIR ]; then
+    cd `dirname $0` && myDir=`pwd`
+    setupFile=$myDir/../setup.sh
+    if [ ! -f $setupFile ]; then
+        echo "Cannot find setup file: $setupFile"
+        exit 1
+    fi
+    source $setupFile > /dev/null
+fi
+source dm_command_setup.sh
+
+eval "$DM_ROOT_DIR/src/python/dm/proc_web_service/cli/getWorkflowCli.py $DM_COMMAND_ARGS"
+
+
-- 
GitLab